Axelered
Classifications

Read Classification

GET
/classifications/{job_id}

Read a Classification. With wait, long-poll until it finishes: 200 when done or failed, 202 while it runs.

Path Parameters

job_id*Job Id
Formatuuid

Query Parameters

wait?Wait

Seconds to wait for the Job to finish. 200 when it is done or failed, 202 while it runs.

Range0 <= value <= 30
Default0

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "id": "string",    "workspaceId": "string",    "createdAt": "string",    "documentId": "string",    "status": "idle",    "credits": 0,    "config": {      "perimeter": "local",      "parsing": {        "tier": "fast",        "pages": "string"      },      "tier": "fast",      "instructions": "string",      "categories": [        {          "name": "string",          "description": "string"        }      ],      "allowEmpty": true    },    "output": {      "value": {        "category": {          "name": "string",          "description": "string"        },        "motivation": "string"      },      "truncated": false    }  }}